---
version: 1.1

var1:
  description: my var1
  alternative_name: v

var2:
  description: my var2
  default:
    jinja: |
      {{ a.unknown.variable }}
    description: var calculated

var3:
  description: my var3
  hidden:
    jinja: |
      {% if a.unknown.variable == 'value' %}
      it's hidden
      {% endif %}
    description: var could be hidden

var4:
  description: my var4
  hidden:
    variable: a.unknown.variable
    when: 'value'

var5:
  description: my var5
  default:
    type: information
    information: info
    variable: a.unknown.variable

var6:
  description: my var6
  choices:
    variable: a.unknown.variable

var7:
  description: my var7
  choices:
    - variable: a.unknown.variable1
    - variable: a.unknown.variable2

var8:
  description: my var8
  choices:
    jinja: |
      a.unknown.variable
    description: the a.unknown.variable values

"var{{ identifier }}":
  description: my var6
  dynamic:
    variable: a.unknown.variable
  var:
    description: a variable
